<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ctb__globals" kind="group">
    <compoundname>group_ctb_globals</compoundname>
    <title>Global Variables</title>
      <sectiondef kind="var">
      <memberdef id="group__group__ctb__globals_1ga438621c8e34cc926e7b8272a9e19c32e" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa0__t">cy_stc_ctb_fast_config_oa0_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa0_t Cy_CTB_Fast_Opamp0_Unused</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp0_Unused</name>
        <briefdescription>
<para>Configure Opamp0 as unused - powered down. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="877" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1ga6d35df56bf042d52cb509a429ffd8c66" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa0__t">cy_stc_ctb_fast_config_oa0_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa0_t Cy_CTB_Fast_Opamp0_Comp</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp0_Comp</name>
        <briefdescription>
<para>Configure Opamp0 as a comparator. </para>        </briefdescription>
        <detaileddescription>
<para>No routing is configured.</para><para><image name="ctb_fast_config_comp.png" type="html" />
 <removeimage width="100px" />
</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="886" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1ga4a8e8b6be10950b49f8972996ac93189" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa0__t">cy_stc_ctb_fast_config_oa0_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa0_t Cy_CTB_Fast_Opamp0_Opamp1x</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp0_Opamp1x</name>
        <briefdescription>
<para>Configure Opamp0 as an opamp with 1x drive. </para>        </briefdescription>
        <detaileddescription>
<para>No routing is configured.</para><para><image name="ctb_fast_config_opamp1x.png" type="html" />
 <removeimage width="100px" />
</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="895" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1ga545087984306e4fc93d227aea692811a" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa0__t">cy_stc_ctb_fast_config_oa0_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa0_t Cy_CTB_Fast_Opamp0_Opamp10x</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp0_Opamp10x</name>
        <briefdescription>
<para>Configure Opamp0 as an opamp with 10x drive. </para>        </briefdescription>
        <detaileddescription>
<para>No routing is configured.</para><para><image name="ctb_fast_config_opamp10x.png" type="html" />
 <removeimage width="100px" />
</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="904" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1ga10000ccb349e4cac132219a53f2d946e" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa0__t">cy_stc_ctb_fast_config_oa0_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa0_t Cy_CTB_Fast_Opamp0_Diffamp</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp0_Diffamp</name>
        <briefdescription>
<para>Configure Opamp0 as one stage of a differential amplifier. </para>        </briefdescription>
        <detaileddescription>
<para>The opamp is in 10x drive and the switches shown are closed.</para><para><image name="ctb_fast_config_oa0_diffamp.png" type="html" />
 <removeimage width="100px" />
</para><para>See the device datasheet for the dedicated CTB port.</para><para>To be used with <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref> and <ref kindref="member" refid="group__group__ctb__globals_1gaf7800cf7550b08e5dc4ec98f158aeee6">Cy_CTB_Fast_Opamp1_Diffamp</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="916" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1gad9260078469c446c5f6b2e53b8925392" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa0__t">cy_stc_ctb_fast_config_oa0_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa0_t Cy_CTB_Fast_Opamp0_Vdac_Out</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp0_Vdac_Out</name>
        <briefdescription>
<para>Configure Opamp0 as a buffer for the CTDAC output. </para>        </briefdescription>
        <detaileddescription>
<para>The buffer is in 10x drive and the switches shown are closed. Configure the CTDAC for output buffer mode by calling <ref kindref="member" refid="group__group__ctdac__functions__init_1ga66f44760b2a923f78135b20060c5700d">Cy_CTDAC_FastInit</ref> with <ref kindref="member" refid="group__group__ctdac__globals_1gaaac60a859d3b9f0235dbdbfe4346ef22">Cy_CTDAC_Fast_VddaRef_BufferedOut</ref> or <ref kindref="member" refid="group__group__ctdac__globals_1ga28e709a157ae32116c0eca332ef6fc65">Cy_CTDAC_Fast_OA1Ref_BufferedOut</ref>.</para><para><image name="ctb_fast_config_vdac_output.png" type="html" />
 
</para><para>See the device datasheet for the dedicated CTB port.</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="106" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="930" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1ga0ca19b1b063bd81db94bc7e02edbaa8d" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa0__t">cy_stc_ctb_fast_config_oa0_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa0_t Cy_CTB_Fast_Opamp0_Vdac_Out_SH</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp0_Vdac_Out_SH</name>
        <briefdescription>
<para>Configure Opamp0 as a buffer for the CTDAC output with the sample and hold capacitor connected. </para>        </briefdescription>
        <detaileddescription>
<para>The buffer is in 10x drive and the switches shown are closed. Configure the CTDAC for output buffer mode by calling <ref kindref="member" refid="group__group__ctdac__functions__init_1ga66f44760b2a923f78135b20060c5700d">Cy_CTDAC_FastInit</ref> with <ref kindref="member" refid="group__group__ctdac__globals_1gaaac60a859d3b9f0235dbdbfe4346ef22">Cy_CTDAC_Fast_VddaRef_BufferedOut</ref> or <ref kindref="member" refid="group__group__ctdac__globals_1ga28e709a157ae32116c0eca332ef6fc65">Cy_CTDAC_Fast_OA1Ref_BufferedOut</ref>.</para><para><image name="ctb_fast_config_vdac_sh.png" type="html" />
 
</para><para>See the device datasheet for the dedicated CTB port.</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="114" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="944" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1gae4a5a3ed003aa16c26c9f0a04beacedb" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa1__t">cy_stc_ctb_fast_config_oa1_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa1_t Cy_CTB_Fast_Opamp1_Unused</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp1_Unused</name>
        <briefdescription>
<para>Configure Opamp1 as unused - powered down. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="947" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1gaf52495cb7b5184752af7aa6d3c0bf1cb" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa1__t">cy_stc_ctb_fast_config_oa1_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa1_t Cy_CTB_Fast_Opamp1_Comp</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp1_Comp</name>
        <briefdescription>
<para>Configure Opamp1 as a comparator. </para>        </briefdescription>
        <detaileddescription>
<para>No routing is configured.</para><para><image name="ctb_fast_config_comp.png" type="html" />
 <removeimage width="100px" />
</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="130" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="956" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1ga09d24f5970ad021c2dabd7db05041c0e" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa1__t">cy_stc_ctb_fast_config_oa1_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa1_t Cy_CTB_Fast_Opamp1_Opamp1x</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp1_Opamp1x</name>
        <briefdescription>
<para>Configure Opamp1 as an opamp with 1x drive. </para>        </briefdescription>
        <detaileddescription>
<para>No routing is configured.</para><para><image name="ctb_fast_config_opamp1x.png" type="html" />
 <removeimage width="100px" />
</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="138" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="965" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1ga86d4fa9e4c70a002c5ac83f9b52b4cb6" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa1__t">cy_stc_ctb_fast_config_oa1_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa1_t Cy_CTB_Fast_Opamp1_Opamp10x</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp1_Opamp10x</name>
        <briefdescription>
<para>Configure Opamp1 as an opamp with 10x drive. </para>        </briefdescription>
        <detaileddescription>
<para>No routing is configured.</para><para><image name="ctb_fast_config_opamp10x.png" type="html" />
 <removeimage width="100px" />
</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="146" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="974" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1gaf7800cf7550b08e5dc4ec98f158aeee6" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa1__t">cy_stc_ctb_fast_config_oa1_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa1_t Cy_CTB_Fast_Opamp1_Diffamp</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp1_Diffamp</name>
        <briefdescription>
<para>Configure Opamp1 as one stage of a differential amplifier. </para>        </briefdescription>
        <detaileddescription>
<para>The opamp is in 10x drive and the switches shown are closed.</para><para><image name="ctb_fast_config_oa1_diffamp.png" type="html" />
 <removeimage width="100px" />
</para><para>See the device datasheet for the dedicated CTB port.</para><para>To be used with <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref> and <ref kindref="member" refid="group__group__ctb__globals_1ga10000ccb349e4cac132219a53f2d946e">Cy_CTB_Fast_Opamp0_Diffamp</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="154" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="987" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1ga0ef4edc2f1f65ffd267518c2bb241bdd" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa1__t">cy_stc_ctb_fast_config_oa1_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa1_t Cy_CTB_Fast_Opamp1_Vdac_Ref_Aref</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp1_Vdac_Ref_Aref</name>
        <briefdescription>
<para>Configure Opamp1 as a buffer for the CTDAC reference. </para>        </briefdescription>
        <detaileddescription>
<para>The reference comes from the internal analog reference block (AREF). The buffer is in 1x drive and the switches shown are closed. Configure the CTDAC to use the buffered reference by calling <ref kindref="member" refid="group__group__ctdac__functions__init_1ga66f44760b2a923f78135b20060c5700d">Cy_CTDAC_FastInit</ref> with <ref kindref="member" refid="group__group__ctdac__globals_1ga27c002738be38f380472ea16d1155051">Cy_CTDAC_Fast_OA1Ref_UnbufferedOut</ref> or <ref kindref="member" refid="group__group__ctdac__globals_1ga28e709a157ae32116c0eca332ef6fc65">Cy_CTDAC_Fast_OA1Ref_BufferedOut</ref>.</para><para><image name="ctb_fast_config_vdac_aref.png" type="html" />
 
</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>.</para><para>Note the AREF block needs to be configured using a separate driver. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="162" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="1002" />
      </memberdef>
      <memberdef id="group__group__ctb__globals_1ga97cd507bb9735d4e2adfd77a17706587" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctb__fast__config__oa1__t">cy_stc_ctb_fast_config_oa1_t</ref></type>
        <definition>const cy_stc_ctb_fast_config_oa1_t Cy_CTB_Fast_Opamp1_Vdac_Ref_Pin5</definition>
        <argsstring />
        <name>Cy_CTB_Fast_Opamp1_Vdac_Ref_Pin5</name>
        <briefdescription>
<para>Configure Opamp1 as a buffer for the CTDAC reference. </para>        </briefdescription>
        <detaileddescription>
<para>The reference comes from Pin 5. The buffer is in 1x drive and the switches shown are closed. Configure the CTDAC to use the buffered reference by calling <ref kindref="member" refid="group__group__ctdac__functions__init_1ga66f44760b2a923f78135b20060c5700d">Cy_CTDAC_FastInit</ref> with <ref kindref="member" refid="group__group__ctdac__globals_1ga27c002738be38f380472ea16d1155051">Cy_CTDAC_Fast_OA1Ref_UnbufferedOut</ref> or <ref kindref="member" refid="group__group__ctdac__globals_1ga28e709a157ae32116c0eca332ef6fc65">Cy_CTDAC_Fast_OA1Ref_BufferedOut</ref>.</para><para><image name="ctb_fast_config_vdac_pin5.png" type="html" />
 
</para><para>See the device datasheet for the dedicated CTB port.</para><para>See <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctb.c" bodystart="170" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="1016" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>